Important: Please read the Qt Code of Conduct - https://forum.qt.io/topic/113070/qt-code-of-conduct

Can't run Qt app in QtCreator



  • I know this is my second thread But I had figure out that that program wont run on emulator too! I've been googling since the last 72~ hours but still can't find any solution. I am new to Qt and specially to android

    I had installed emulator and armv7a API 26 image with sdkmanager . Everything works fine with Android studio . I can Build the apps , I can test them on My Physical phone as well as in emulator.But I want to try Qt

    I had install qtcreator from arch repos . I had installed qt for android armv7a using QT's online installer , I have installed OracleJDK (I've installed 8,9 and 10 and tried QtCreator with all of them with no luck) , AndroidSDK and AndroidNDK (10e as suggested) .

    To test this configuration I create new project from File->New file or Project->Application->Qt Quick Application -Swipe .Wihtout changing any code I try to build and run it. I think it builds but it doesin't run. When I click on green run button I get this error:-

    Cannot find the android build step.
    Error while building/deploying project untitled1 (kit: Android for armeabi-v7a (GCC 4.9, Qt  (android_armv7)))
    When executing step "Deploy to Android device"
    

    I also tried building some examples provided by QtCreator but they gives the same result.

    here is my build and run configuration :-

    0_1526929889146_1.png

    0_1526929912020_2.png

    Please help me . I a relay new to this. I just started doing programming 6-7 months ago in college.

    It will also help me if you can give me your projects Build and Run configuration(screenshot).

    Also I cant find androiddeployqt in Linux.

    https://stackoverflow.com/questions/50434018/cant-run-android-app-in-qtcreator


  • Moderators

    @noone Would this be of any help to you? https://forum.qt.io/topic/79730/no-build-step-for-android

    It seems this guy had the same problem and solved it with adding gradle.

    Usually that error has to do with missing ndk/sdk or the more likely ant/gradle. Try running the build or deploy on the command line and see if it gives you more information.